{
  "schema_version": "1.4.0",
  "id": "GHSA-mjhj-v6x2-g42w",
  "modified": "2022-05-17T05:25:03Z",
  "published": "2022-05-17T05:25:03Z",
  "aliases": [
    "CVE-2012-1175"
  ],
  "details": "Integer overflow in the GnashImage::size method in libbase/GnashImage.h in GNU Gnash 0.8.10 allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a crafted SWF file, which triggers a heap-based buffer overflow.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-1175"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=803443"
    },
    {
      "type": "WEB",
      "url": "http://git.savannah.gnu.org/cgit/gnash.git/commit/?id=bb4dc77eecb6ed1b967e3ecbce3dac6c5e6f1527"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/47183"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48466"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2012/dsa-2435"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/03/14/5"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/03/14/6"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/52446"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-08-26T20:55:00Z"
  }
}